%define upstream_name    Sys-CPU
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Access CPU info. number, etc on Win and UNIX
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz
# Support cpu_type on ARM and AArch64, bug #1093266, CPAN RT#95400
Patch0:         Sys-CPU-0.61-Add-support-for-cpu_type-on-ARM-and-AArch64-Linux-pl.patch
# Accept undefined cpu_clock on ARM and AArch64, bug #1093266, CPAN RT#95400
Patch1:         Sys-CPU-0.61-cpu_clock-can-be-undefined-on-an-ARM.patch

BuildRequires: perl(ExtUtils::MakeMaker)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
In response to a post on perlmonks.org, a module for counting the number of
CPU's on a system. Support has now also been added for type of CPU and
clock speed. While much of the code is from UNIX::Processors, win32 support
has been added (but not tested).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.610.0-23.mga10
+ Revision: 2226251
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.610.0-22.mga10
+ Revision: 2088225
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 0.610.0-21.mga10
+ Revision: 2011126
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.610.0-20.mga9
+ Revision: 1862428
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.610.0-19.mga9
+ Revision: 1796073
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.610.0-18.mga9
+ Revision: 1727134
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.610.0-17.mga8
+ Revision: 1595274
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.610.0-16.mga8
+ Revision: 1530109
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.610.0-15.mga8
+ Revision: 1433905
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.610.0-14.mga7
+ Revision: 1293792
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.610.0-13.mga7
+ Revision: 1249885
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.610.0-12.mga7
+ Revision: 1166673
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.610.0-11.mga7
+ Revision: 1149188
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.610.0-10.mga7
+ Revision: 1126774
- Rebuild against new Perl 5.26

* Thu Jun 16 2016 tv <tv> 0.610.0-9.mga6
+ Revision: 1021659
- add build fixes for armv7 from FC

* Thu Feb 18 2016 umeabot <umeabot> 0.610.0-8.mga6
+ Revision: 966466
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.610.0-7.mga6
+ Revision: 845298
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.610.0-6.mga6
+ Revision: 841551
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.610.0-5.mga5
+ Revision: 747466
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.610.0-4.mga5
+ Revision: 733451
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.610.0-3.mga5
+ Revision: 686281
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.610.0-2.mga5
+ Revision: 631708
- Rebuild for perl 5.20

* Tue Feb 04 2014 shlomif <shlomif> 0.610.0-1.mga5
+ Revision: 581330
- update to 0.61

* Sat Oct 19 2013 umeabot <umeabot> 0.540.0-4.mga4
+ Revision: 524459
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.540.0-3.mga4
+ Revision: 430963
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.540.0-2.mga3
+ Revision: 372922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 317735
- update to 0.54

* Fri Nov 09 2012 shlomif <shlomif> 0.530.0-1.mga3
+ Revision: 316772
- update to 0.53

* Wed May 30 2012 jquelin <jquelin> 0.520.0-3.mga3
+ Revision: 251159
- rebuild for perl 5.16

* Tue Nov 15 2011 kharec <kharec> 0.520.0-2.mga2
+ Revision: 167915
- fix %%description, thanks tv

* Mon Nov 14 2011 kharec <kharec> 0.520.0-1.mga2
+ Revision: 167815
- imported package perl-Sys-CPU


* Mon Nov 14 2011 cpan2dist 0.52-1mga
- initial mageia release, generated with cpan2dist
